[arch-commits] Commit in pekwm/repos (7 files)

Ionut Biru ibiru at archlinux.org
Sun Feb 5 06:53:40 EST 2012


    Date: Sunday, February 5, 2012 @ 06:53:39
  Author: ibiru
Revision: 148872

db-move: moved pekwm from [testing] to [extra] (x86_64)

Added:
  pekwm/repos/extra-x86_64/PKGBUILD
    (from rev 148654, pekwm/repos/testing-x86_64/PKGBUILD)
  pekwm/repos/extra-x86_64/libpng-1.4.patch
    (from rev 148654, pekwm/repos/testing-x86_64/libpng-1.4.patch)
  pekwm/repos/extra-x86_64/pekwm.desktop
    (from rev 148654, pekwm/repos/testing-x86_64/pekwm.desktop)
Deleted:
  pekwm/repos/extra-x86_64/PKGBUILD
  pekwm/repos/extra-x86_64/libpng-1.4.patch
  pekwm/repos/extra-x86_64/pekwm.desktop
  pekwm/repos/testing-x86_64/

------------------+
 PKGBUILD         |   91 ++++++++++++++++++++++++++---------------------------
 libpng-1.4.patch |   42 ++++++++++++------------
 pekwm.desktop    |   16 ++++-----
 3 files changed, 74 insertions(+), 75 deletions(-)

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2012-02-05 11:53:37 UTC (rev 148871)
+++ extra-x86_64/PKGBUILD	2012-02-05 11:53:39 UTC (rev 148872)
@@ -1,46 +0,0 @@
-# $Id$
-# Maintainer: Kevin Piche <kevin at archlinux.org>
-# Contributor: Eddie Lozon <almostlucky at attbi.com>
-
-pkgname=pekwm
-pkgver=0.1.13
-pkgrel=1
-pkgdesc="A small, fast, functional, and flexible window manager"
-arch=(i686 x86_64)
-license=('GPL')
-url="http://pekwm.org/"
-depends=('gcc-libs' 'libjpeg>=7' 'libpng' 'libxft' 'libxinerama' 'libxpm'
-'libxrandr')
-backup=(etc/pekwm/config
-  etc/pekwm/vars
-  etc/pekwm/autoproperties
-  etc/pekwm/start
-  etc/pekwm/keys
-  etc/pekwm/mouse
-  etc/pekwm/menu)
-source=(http://www.pekwm.org/projects/pekwm/files/${pkgname}-${pkgver}.tar.bz2
-pekwm.desktop libpng-1.4.patch)
-md5sums=('51a3f9030817df0304cc1da5110e493a' '5a78fc6653fbb0b7282ecf7f1f81e2c5'
-         '075bf1b9d32bf94780329499e4fa40e3')
-
-build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-#  patch -p1 < ../libpng-1.4.patch || return 1
-  # Default settings:
-  #    --enable-shape --enable-xinerama --enable-menus \
-  #    --enable-harbour --disable-debug --disable-pedantic \
-  #    --enable-xft --enable-image-xpm --enable-image-jpeg \
-  #    --enable-image-png --enable-xrandr
-  ./configure --prefix=/usr --sysconfdir=/etc
-
-  make
-}
-
-package() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  make DESTDIR=${pkgdir} install
-  install -D -m644 ${srcdir}/${pkgname}.desktop \
-                   ${pkgdir}/usr/share/xsessions/${pkgname}.desktop
-#                   ${pkgdir}/etc/X11/sessions/${pkgname}.desktop
-}
-# vim: ts=2 sw=2 et ft=sh

Copied: pekwm/repos/extra-x86_64/PKGBUILD (from rev 148654, pekwm/repos/testing-x86_64/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-02-05 11:53:39 UTC (rev 148872)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Kevin Piche <kevin at archlinux.org>
+# Contributor: Eddie Lozon <almostlucky at attbi.com>
+
+pkgname=pekwm
+pkgver=0.1.13
+pkgrel=2
+pkgdesc="A small, fast, functional, and flexible window manager"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://pekwm.org/"
+depends=('gcc-libs' 'libjpeg>=7' 'libpng' 'libxft' 'libxinerama' 'libxpm'
+'libxrandr')
+backup=(etc/pekwm/config
+  etc/pekwm/vars
+  etc/pekwm/autoproperties
+  etc/pekwm/start
+  etc/pekwm/keys
+  etc/pekwm/mouse
+  etc/pekwm/menu)
+source=(http://www.pekwm.org/projects/pekwm/files/${pkgname}-${pkgver}.tar.bz2
+pekwm.desktop libpng-1.4.patch)
+md5sums=('51a3f9030817df0304cc1da5110e493a' '5a78fc6653fbb0b7282ecf7f1f81e2c5'
+         '075bf1b9d32bf94780329499e4fa40e3')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+#  patch -p1 < ../libpng-1.4.patch || return 1
+  # Default settings:
+  #    --enable-shape --enable-xinerama --enable-menus \
+  #    --enable-harbour --disable-debug --disable-pedantic \
+  #    --enable-xft --enable-image-xpm --enable-image-jpeg \
+  #    --enable-image-png --enable-xrandr
+  ./configure --prefix=/usr --sysconfdir=/etc
+
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 "${srcdir}/${pkgname}.desktop" \
+                   "${pkgdir}/usr/share/xsessions/${pkgname}.desktop"
+}
+# vim: ts=2 sw=2 et ft=sh

Deleted: extra-x86_64/libpng-1.4.patch
===================================================================
--- extra-x86_64/libpng-1.4.patch	2012-02-05 11:53:37 UTC (rev 148871)
+++ extra-x86_64/libpng-1.4.patch	2012-02-05 11:53:39 UTC (rev 148872)
@@ -1,21 +0,0 @@
-diff -Naur pekwm-0.1.11-orig/src/PImageLoaderPng.cc pekwm-0.1.11/src/PImageLoaderPng.cc
---- pekwm-0.1.11-orig/src/PImageLoaderPng.cc	2010-01-22 01:57:08.000000000 -0500
-+++ pekwm-0.1.11/src/PImageLoaderPng.cc	2010-01-22 02:00:02.000000000 -0500
-@@ -108,7 +108,7 @@
-     
-     // gray -> 8 bit gray
-     if (color_type == PNG_COLOR_TYPE_GRAY && (bpp < 8)) {
--        png_set_gray_1_2_4_to_8(png_ptr);
-+        png_set_expand_gray_1_2_4_to_8(png_ptr);
-     }
- 
-     if (png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS)) {
-@@ -179,7 +179,7 @@
- 
-     status = fread(sig, 1, PImageLoaderPng::PNG_SIG_BYTES, fp);
-     if (status == PImageLoaderPng::PNG_SIG_BYTES) {
--        return (png_check_sig(sig, PImageLoaderPng::PNG_SIG_BYTES) != 0);
-+      return (png_sig_cmp(sig, 0, PImageLoaderPng::PNG_SIG_BYTES) == 0);
-     }
-     return false;
- }

Copied: pekwm/repos/extra-x86_64/libpng-1.4.patch (from rev 148654, pekwm/repos/testing-x86_64/libpng-1.4.patch)
===================================================================
--- extra-x86_64/libpng-1.4.patch	                        (rev 0)
+++ extra-x86_64/libpng-1.4.patch	2012-02-05 11:53:39 UTC (rev 148872)
@@ -0,0 +1,21 @@
+diff -Naur pekwm-0.1.11-orig/src/PImageLoaderPng.cc pekwm-0.1.11/src/PImageLoaderPng.cc
+--- pekwm-0.1.11-orig/src/PImageLoaderPng.cc	2010-01-22 01:57:08.000000000 -0500
++++ pekwm-0.1.11/src/PImageLoaderPng.cc	2010-01-22 02:00:02.000000000 -0500
+@@ -108,7 +108,7 @@
+     
+     // gray -> 8 bit gray
+     if (color_type == PNG_COLOR_TYPE_GRAY && (bpp < 8)) {
+-        png_set_gray_1_2_4_to_8(png_ptr);
++        png_set_expand_gray_1_2_4_to_8(png_ptr);
+     }
+ 
+     if (png_get_valid(png_ptr, info_ptr, PNG_INFO_tRNS)) {
+@@ -179,7 +179,7 @@
+ 
+     status = fread(sig, 1, PImageLoaderPng::PNG_SIG_BYTES, fp);
+     if (status == PImageLoaderPng::PNG_SIG_BYTES) {
+-        return (png_check_sig(sig, PImageLoaderPng::PNG_SIG_BYTES) != 0);
++      return (png_sig_cmp(sig, 0, PImageLoaderPng::PNG_SIG_BYTES) == 0);
+     }
+     return false;
+ }

Deleted: extra-x86_64/pekwm.desktop
===================================================================
--- extra-x86_64/pekwm.desktop	2012-02-05 11:53:37 UTC (rev 148871)
+++ extra-x86_64/pekwm.desktop	2012-02-05 11:53:39 UTC (rev 148872)
@@ -1,8 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Name=Pekwm
-Comment=The pekwm window manager
-Exec=pekwm
-# no icon yet, only the top three are currently used
-Icon=
-Type=Application

Copied: pekwm/repos/extra-x86_64/pekwm.desktop (from rev 148654, pekwm/repos/testing-x86_64/pekwm.desktop)
===================================================================
--- extra-x86_64/pekwm.desktop	                        (rev 0)
+++ extra-x86_64/pekwm.desktop	2012-02-05 11:53:39 UTC (rev 148872)
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Pekwm
+Comment=The pekwm window manager
+Exec=pekwm
+# no icon yet, only the top three are currently used
+Icon=
+Type=Application



More information about the arch-commits mailing list